Debian DLA-2954-1:python-treq - LTS 安全更新

high Nessus 插件 ID 159069

简介

远程 Debian 主机缺少与安全相关的更新。

描述

远程 Debian 9 主机上安装的多个程序包受到 dla-2954 公告中提及的一个漏洞影响。

- treq 是一个受请求启发的 HTTP 库,但编写在 Twisted 的代理上。Treq 的请求方法(`treq.get`、`treq.post` 等)和 `treq.client.HTTPClient` 构造函数将 cookie 作为字典接受。此类 cookie 未绑定到单个域,因此系统会将其发送到 *所有*域 (supercookie)。这可能会在 HTTP 重定向到其他域时造成敏感信息泄露。例如,如果 `https://example.com` 重定向到 `http://cloudstorageprovider.com` ,则后者将接收 cookie `session`。Treq 2021.1.0 及更高版本将提供给请求方法(`treq.request`、`treq.get`、`HTTPClient.request`、`HTTPClient.get` 等)的 cookie 绑定到 *url* 参数的来源。建议所有用户都进行升级。对于无法升级的用户,不要传递字典作为 *cookies* 参数,而是传递其中包含正确域范围和方案范围的 cookie 的实例。(CVE-2022-23607)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级 python-treq 程序包。

针对 Debian 9 Stretch,这些问题已在 15.1.0-1+deb9u1 版本中解决。

另见

https://www.debian.org/lts/security/2022/dla-2954

https://security-tracker.debian.org/tracker/CVE-2022-23607

https://packages.debian.org/source/stretch/python-treq

插件详情

严重性: High

ID: 159069

文件名: debian_DLA-2954.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2022/3/18

最近更新时间: 2022/3/18

支持的传感器: Frictionless Assessment Agent, Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.2

矢量: AV:N/AC:M/Au:N/C:P/I:N/A:N

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2022-23607

CVSS v3

风险因素: High

基本分数: 7.4

时间分数: 6.4

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:N/A:N

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:debian:debian_linux:python-treq, p-cpe:/a:debian:debian_linux:python-treq-doc, p-cpe:/a:debian:debian_linux:python3-treq, cpe:/o:debian:debian_linux:9.0

必需的 KB 项: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

易利用性: No known exploits are available

补丁发布日期: 2022/3/18

漏洞发布日期: 2022/2/1

参考资料信息

CVE: CVE-2022-23607